#pragma once

#include "NControl.h"
#include "NPCommonUI.h"
#include "NPRTFDrawer.h"

#include "ScriptletContainerFactory.h"
class NPCOMMONUI_API CNRichEditCtrl : public CNControl
{
public:
	DECLARE_COMPONENT_CREATOR(CNRichEditCtrl);
	CNRichEditCtrl(void);
	virtual ~CNRichEditCtrl(void);

//override
	LPCTSTR GetClassName() { return SCRIPTLET_RICHTEXT_NODE; }
	void OnCreate();
	void DrawComponent(HDC hDC);

	void SetHtml(LPCTSTR pszcHtml);

private:
	CAutoPtr<INPRTFDraw> m_pRTFDraw;

};
